/**
 * Definicion de la clase AyudaDistancia.
 * 
 * @author Sebastian Dieguez
 */
public class AyudaDistancia {

	/**
	 * Obtiene la distancia (en mosaicos aproximados) entre dos objetos Punto Al redondear la distancia se usa la funcion ceil() para que retorne valores maximos de distancia
	 * 
	 * @param origen el objeto Punto orgien del calculo de distancia
	 * @param destino el objeto Punto destino del calculo de distancia
	 * @return la distancia en linea recta (sin considerar obstaculos) entre los dos puntos
	 */
	public static int distanciaEntre(Punto origen, Punto destino) {
		if ((origen == null) || (destino == null)) {
			return -1;
		} else {
			return distanciaEntre(origen.getX(), origen.getY(), destino.getX(), destino.getY());
		}

	}

	/**
	 * Obtiene la distancia (en mosaicos aproximados) entre dos conjuntos de coordenadas Al redondear la distancia se usa la funcion ceil() para que retorne valores maximos de distancia
	 * 
	 * @param x1 la coordenada x del punto 1
	 * @param y1 la coordenada y del punto 1
	 * @param x2 la coordenada x del punto 2
	 * @param y2 la coordenada y del punto 2
	 * @return la distancia en linea recta (sin considerar obstaculos) entre los dos puntos
	 */
	public static int distanciaEntre(int x1, int y1, int x2, int y2) {
		int res = -1;

		int distX = Math.abs(x1 - x2);
		int distY = Math.abs(y1 - y2);

		double cuadX = distX * distX;
		double cuadY = distY * distY;

		double distancia = Math.sqrt(cuadX + cuadY);

		res = (int) Math.ceil(distancia);

		return res;
	}
}