import java.util.ArrayList;
import java.util.List;

/**
 * Definicion de la clase AyudaNiveles.
 * 
 * @author Sebastian Dieguez
 */
public class AyudaNiveles {

	/**
	 * Obtiene una lista de niveles hardcodeados para el juego online y para no tener que cargar todo desde el principio
	 * 
	 * @return Una lista de niveles que son representados por un array de renglones String
	 */
	public static List<String[]> obtenerNiveles() {
		List<String[]> res = new ArrayList<String[]>();

		String[] nivel = null;

		// Nivel 0
		nivel = new String[WarInTheDeepGame.MAPA_ALTO + 1];
		nivel[0] = "The Misty Mountains";
		nivel[1] = " G G G        #";
		nivel[2] = "   G G       # ";
		nivel[3] = " ########|     ";
		nivel[4] = "#        |     ";
		nivel[5] = "               ";
		nivel[6] = "               ";
		nivel[7] = "     !        _";
		nivel[8] = "     !________ ";
		nivel[9] = " #         &   ";
		nivel[10] = "#          &%  ";
		res.add(0, nivel);

		// Nivel 1
		nivel = new String[WarInTheDeepGame.MAPA_ALTO + 1];
		nivel[0] = "Bridge over Mount Doom!";
		nivel[1] = "$     LLLLL   T";
		nivel[2] = "    %LLLLL     ";
		nivel[3] = "    !LLLLL|    ";
		nivel[4] = "     #####     ";
		nivel[5] = " &&           T";
		nivel[6] = "     _____     ";
		nivel[7] = "    !LLLLL|    ";
		nivel[8] = "     LLLLL     ";
		nivel[9] = "    % LLLLL    ";
		nivel[10] = "      LLLLL    ";
		res.add(1, nivel);

		// Nivel 2
		nivel = new String[WarInTheDeepGame.MAPA_ALTO + 1];
		nivel[0] = "Moria: Bridges of Great Delving";
		nivel[1] = "%   WWW     GGG";
		nivel[2] = "  && WWW      G";
		nivel[3] = "     !WWW|     ";
		nivel[4] = "      ###     A";
		nivel[5] = "$              ";
		nivel[6] = "      ___      ";
		nivel[7] = "     !WWW|    A";
		nivel[8] = "  &&!WWW|      ";
		nivel[9] = "     ###      G";
		nivel[10] = " %          GGG";
		res.add(2, nivel);

		// Nivel 3
		nivel = new String[WarInTheDeepGame.MAPA_ALTO + 1];
		nivel[0] = "Moria: Nud-Melek Second Hall";
		nivel[1] = "G G         G G";
		nivel[2] = "G  _    _    _G";
		nivel[3] = "  ! |  ! |  ! |";
		nivel[4] = "   #    #    # ";
		nivel[5] = "       &       ";
		nivel[6] = "      &$&      ";
		nivel[7] = "   _   &_    _ ";
		nivel[8] = "  ! |  ! |  ! |";
		nivel[9] = "G  #    #    #G";
		nivel[10] = "G G         G G";
		res.add(3, nivel);

		// Nivel 4
		nivel = new String[WarInTheDeepGame.MAPA_ALTO + 1];
		nivel[0] = "Defence of Erebor Entrance";
		nivel[1] = "$&|       WWWG ";
		nivel[2] = " %|     WWW!G G";
		nivel[3] = " #   WWWW  ! G ";
		nivel[4] = " WWWWWW    !G G";
		nivel[5] = "           ! T ";
		nivel[6] = " _     !   !A G";
		nivel[7] = " %|    !   !   ";
		nivel[8] = " %|    !   !   ";
		nivel[9] = " &|    !       ";
		nivel[10] = " &|    !       ";
		res.add(4, nivel);

		// Nivel 5
		nivel = new String[WarInTheDeepGame.MAPA_ALTO + 1];
		nivel[0] = "Defence of Helm's Deep";
		nivel[1] = "$&!      #_____";
		nivel[2] = "&&!  !__   !###";
		nivel[3] = "%_!  !  |  !_  ";
		nivel[4] = "    !   #|  !_ ";
		nivel[5] = " ___!    #|  ! ";
		nivel[6] = "%!           GA";
		nivel[7] = "%!          GGA";
		nivel[8] = "%!          TGA";
		nivel[9] = " !          GGG";
		nivel[10] = "W!WWWWWWWWWWWWW";
		res.add(5, nivel);

		// Nivel 6
		nivel = new String[WarInTheDeepGame.MAPA_ALTO + 1];
		nivel[0] = "Battle for Minas Thirith";
		nivel[1] = " & & |     !G G";
		nivel[2] = " &|  !  !  ! G ";
		nivel[3] = " &!  !  !  !T G";
		nivel[4] = " $!     !  !_  ";
		nivel[5] = "#########|     ";
		nivel[6] = "_________|     ";
		nivel[7] = " $!     !  !#  ";
		nivel[8] = " &!  !  !  !A G";
		nivel[9] = " &|  !  !  !AG ";
		nivel[10] = " & & |     !G G";
		res.add(6, nivel);
		return res;
	}
}