import java.util.List;

import javax.swing.JOptionPane;

/**
 * Definicion de la clase VistaEntrada.
 * 
 * @author Sebastian Dieguez
 */
public class AyudaVistaEntrada {

	static public int elegirMapa() {
		int res = -1;
		List<String[]> mapas = AyudaNiveles.obtenerNiveles();

		if ((mapas != null) && !mapas.isEmpty()) {
			Object[] nombreMapas = new String[mapas.size()];

			// Leemos los mapas y buscamos los nombres
			int i = 0;
			for (String[] renglon : mapas) {
				String nombre = renglon[0];
				nombreMapas[i] = i + " - " + nombre;
				i++;
			}
			String datoEntrada = (String) JOptionPane.showInputDialog(null, "Seleccione una simulación  y presione RUN", "War in the Deep - Seleccion de Escenario", JOptionPane.QUESTION_MESSAGE, null, nombreMapas, nombreMapas[0]);
			if ((datoEntrada != null) && datoEntrada.contains(" - ")) {
				String[] partes = datoEntrada.split(" ");
				try {
					res = Integer.parseInt(partes[0]);
				} catch (NumberFormatException e) {
				}
			}

		}
		return res;
	}

	/**
	 * Muestra un mensaje en la pantalla
	 * 
	 * @param mensaje Mensaje a msotrar
	 */
	public static void mostrarMensaje(String mensaje) {
		JOptionPane.showMessageDialog(null, mensaje, "War in the Deep", JOptionPane.INFORMATION_MESSAGE);
	}

	/**
	 * Muestra el mensaje de mapa cargado y pregunta si cargar personajes tambien
	 * 
	 * @param nombreMapa El mapa recien cargado
	 * @return TRUE si se decidio cargar personajes
	 */
	public static boolean decidirCargarPj(String nombreMapa) {
		boolean res = true;
		Object[] options = {
				"Cargar Personajes", "No Cargar" };
		int decision = JOptionPane.showOptionDialog(null, "Escenario cargado:\n\n" + nombreMapa + "\n\nDesea cargar personajes tambien?", "War in the Deep - " + nombreMapa, JOptionPane.DEFAULT_OPTION, JOptionPane.QUESTION_MESSAGE, null, options, options[0]);

		res = (decision == 0);

		return res;
	}

	/**
	 * @param mensaje
	 * @return
	 */
	public static boolean decidirBorrarAlFinal(String mensaje) {
		boolean res = false;

		Object[] options = {
				"Borrar Tablero", "Cancelar" };

		int decision = JOptionPane.showOptionDialog(null, mensaje, "War in the Deep - Juego terminado!!!", JOptionPane.DEFAULT_OPTION, JOptionPane.QUESTION_MESSAGE, null, options, options[0]);
		// Si eligio borrar los personajes
		if (decision == 0) {
			res = true;
		}

		return res;
	}
}
