import java.util.ArrayList;
import java.util.List;

/**
 * Definicion de la clase ChicosMalos.
 * 
 * @author Sebastian Dieguez
 */
public class ChicosMalos extends Personaje {

	/*
	 * (non-Javadoc)
	 * 
	 * @see Personaje#muerte()
	 */
	@Override
	protected void muerte() {
		super.muerte();
		this.setImage("tumba2.png");
	}

	@SuppressWarnings("unchecked")
	@Override
	protected List<Personaje> obtenerEnemigosEnRango() {
		List<BuenosMuchachos> lista = new ArrayList<BuenosMuchachos>();
		lista.addAll(this.getNeighbours(this.MOD_RANGO, true, EnanoGuerrero.class));
		lista.addAll(this.getNeighbours(this.MOD_RANGO, true, EnanoArquero.class));
		lista.addAll(this.getNeighbours(this.MOD_RANGO, true, EnanoMonje.class));

		List<Personaje> res = new ArrayList<Personaje>();

		for (BuenosMuchachos bm : lista) {
			if (bm.SALUD > 0) {
				res.add(bm);
			}
		}

		return res;
	}

	@Override
	protected List<Personaje> obtenerEnemigosVivos() {
		WarInTheDeepGame game = (WarInTheDeepGame) this.getWorld();
		List<Personaje> res = game.obtenerBuenosMuchachos(true);
		return res;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see Personaje#accionAtacar(WarInTheDeepGame)
	 */
	@Override
	protected int accionAtacar(WarInTheDeepGame game) {
		int res = super.accionAtacar(game);
		if (res > 0) {
			game.sumarPuntoMalos(res);
		}
		return res;
	}

	@Override
	protected boolean esAmigo(Personaje amigo) {
		if (amigo != null) {
			return (amigo.getClass().getSuperclass() == ChicosMalos.class);
		}
		return false;
	}

	@Override
	protected boolean esEnemigo(Personaje enemigo) {
		if (enemigo != null) {
			return (enemigo.getClass().getSuperclass() == BuenosMuchachos.class);
		}
		return false;
	}
}