import greenfoot.Actor;
import greenfoot.GreenfootImage;

import java.awt.Color;
import java.awt.Font;

/**
 * Definicion de la clase EtiquetaPluma.
 * 
 * @author Sebastian Dieguez
 */
public class EtiquetaPluma extends Actor {

	GreenfootImage imgText = null;
	int turno = 1;
	private static final int MAX_TURNOS = 1;

	/**
	 * Crea una EtiquetaPluma con un mensaje
	 * 
	 * @param mensaje
	 *            El mensaje a mostrar
	 * @param colorTexto
	 *            Color de frente del texto
	 * @param colorSombra
	 *            Color de la sombra aplicada
	 */
	public EtiquetaPluma(String mensaje, Color colorTexto, Color colorSombra) {

		this.imgText = new GreenfootImage(64, 64);
		this.imgText.setFont(new Font(Font.MONOSPACED, Font.BOLD, 20));
		this.imgText.setColor(colorSombra);
		this.imgText.drawString(mensaje, 1, 32);
		this.imgText.setColor(colorTexto);
		this.imgText.drawString(mensaje, 0, 31);
		this.setImage(this.imgText);
	}

	/*
	 * (non-Javadoc)
	 * @see greenfoot.Actor#act()
	 */
	@Override
	public void act() {
		if (this.turno > MAX_TURNOS) {
			this.getWorld().removeObject(this);
		} else {
			this.turno++;
		}
	}
}