/**
 * Definicion de la clase Punto.
 * 
 * @author Sebastian Dieguez
 */
public class Punto {
	private int x = -1;
	private int y = -1;

	/**
	 * Constructor con parametros
	 * 
	 * @param x la coordenada x
	 * @param y la coordenada y
	 */
	public Punto(int x, int y) {
		this.x = x;
		this.y = y;
	}

	/**
	 * @return obtiene la propiedad x
	 */
	public int getX() {
		return this.x;
	}

	/**
	 * @return obtiene la propiedad y
	 */
	public int getY() {
		return this.y;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object otro) {
		if (otro instanceof Punto) {
			Punto o = (Punto) otro;

			return (o.x == this.x) && (o.y == this.y);
		}

		return false;
	}
}